Subject: RE: bug#45428: 27.1; (quote (quote (quote ...))) unexpectedly works as anonymous face

From: Drew Adams <[email-masked]>
Date: Sun, 27 Dec 2020 11:06:03 -0800 (PST)

> > In my own configuration and Emacs Lisp programs, I would strongly prefer
> > to rely only on documented features of Emacs, and I would like Emacs to
> > at least warn me if my code starts to rely on features that are not
> > officially supported and hence may change more readily in the future.
> 
> You should indeed rely on documented behavior.  But that doesn't mean
> Emacs cannot have undocumented behavior, especially when it is a side
> effect of the specific implementation of some documented feature.

Agreed.  But what is the specific need for this
particular undocumented behavior?  That's the
question relevant for this bug, I think.

Does anyone even know why this undocumented,
unlispy, and bizarre exception was made here?